%global debug_package %{nil}
%global _missing_build_ids_terminate_build 0

%global goipath         tea
%global forgeurl        https://gitea.com/gitea/tea

Name:           tea
Version:                0.9.0

%gometa

%global common_description %{expand:
tea is a productivity helper for Gitea. It can be used to manage most entities on
one or multiple Gitea instances & provides local helpers like 'tea pr checkout'.

tea tries to make use of context provided by the repository in $PWD if available.
tea works best in a upstream/fork workflow, when the local main branch tracks the
upstream repo. tea assumes that local git state is published on the remote before
doing operations with tea. Configuration is persisted in $XDG_CONFIG_HOME/tea.}

%global golicenses    LICENSE
%global godocs        *.md

Release:        1%{?dist}
Summary:        tea is a productivity helper for Gitea
# Detected licences
# - *No copyright* Apache License (v2.0) at 'LICENSE'
# json/ is BSD-3-Clause
License:        Apache-2.0-or-later AND BSD-3-Clause
URL:            https://gitea.com/gitea/tea
Source:         https://gitea.com/gitea/tea/archive/v%{version}.tar.gz

BuildRequires: git

BuildRequires: golang(github.com/yuin/goldmark)
BuildRequires: golang(github.com/yuin/goldmark-emoji)
BuildRequires: golang(github.com/urfave/cli/v2)
BuildRequires: golang(github.com/go-git/go-git/v5)
BuildRequires: golang(gopkg.in/yaml.v2)
BuildRequires: golang(github.com/charmbracelet/glamour)
BuildRequires: golang(github.com/olekukonko/tablewriter)
BuildRequires: golang(github.com/adrg/xdg)
BuildRequires: golang(github.com/muesli/termenv)

#BuildRequires: golang(golang.org/x/crypto)
BuildRequires: golang-x-crypto-devel

# Not found
#BuildRequires: golang(github.com/araddon/dateparse)

%description
%{common_description}

%gopkg

%prep

%autosetup -n tea

%build
#go mod vendor
go build -v -ldflags="-X 'main.Version=v%{version}' -X 'app/build.User=$(id -u -n)' -X 'app/build.Time=$(date)'"
#go build -v

#go build -v -ldflags="-linkmode=external"


%install

install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp tea                 %{buildroot}%{_bindir}/

%files

%license %{golicenses}
%doc %{godocs}
%{_bindir}/*



%changelog
* Thu Mar 21 21:59:10 CET 2019 Robert-André Mauchin <zebob.m@gmail.com> - 2.1.9-1
- First package for Fedora